<template>
    <div class="m-form" v-if="chat.user.name != ''">
        <div class="row">
            <div class="col-md-8 offset-md-2">
                <div class="mf-compose">
                    <input autofocus class="form-control" type="text" placeholder="Escribe tu mensaje aquí..." v-on:keyup.enter="send(message.body)" v-model="message.body">
                    <button @click.prevent="send(message.body)" class="btn btn-success btn-rounded" :disabled="message.body == ''" type="button">Enviar</button>
                </div>
            </div>
        </div>
    </div>

</template>
<script>
    import { mapGetters, mapActions  } from 'vuex'
    export default {
        data(){
            return {
                message : {
                    body : '',
                    receiver_user_id : '',
                    assignment_teacher:''
                }                
            }
        },
        computed: {         
            ...mapGetters([
                'chat'
            ]),
            chatLoaded() {
                return this.chat.name !=''
            }
        },
        methods: {
            ...mapActions([
                'sendMessage',
                ]), 

            send(message){

                this.message.receiver_user_id = this.chat.user_id;
                this.message.assignment_teacher = this.chat.id;
                if(this.message.body != ''){ 
                    setTimeout(()=>{
                        this.sendMessage(this.message);
                        this.message.body='';
                    },500);
                }   

            }
        }
    }  
</script>
